Changing view layout causes block removal

Bug #1432635 reported by Olli Puurunen on 2015-03-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
1.10
High
Robert Lyon
1.9
High
Robert Lyon

Bug Description

Steps to reproduce:

1. Create a new view
2. Select layout with one column in first row and three columns in second
3. Add one textbox to each column, 4 textboxes total
4. Go to layout-tab again and change the layout to one row & one column (the first)

Result: The block(s) in the first column of the second row is gone.

Tested in 1.9.1 and Mahara Demo (1.10 at the moment).

Robert Lyon (robertl-9) on 2015-03-19
Changed in mahara:
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Robert Lyon (robertl-9)
Robert Lyon (robertl-9) on 2015-03-19
Changed in mahara:
status: Confirmed → In Progress
Son Nguyen (ngson2000) on 2015-03-19
Changed in mahara:
milestone: none → 1.10.3
milestone: 1.10.3 → 15.04.0

Reviewed: https://reviews.mahara.org/4442
Committed: http://gitorious.org/mahara/mahara/commit/34bf39b08116da73be97a47b8c3b83c20eeda1fb
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 34bf39b08116da73be97a47b8c3b83c20eeda1fb
Author: Robert Lyon <email address hidden>
Date: Fri Mar 20 09:51:04 2015 +1300

Stopping a block from being 'eaten' when changing layout (Bug #1432635)

To test see bug report

Change-Id: I88069adce01c77a1009ac49bf61966524532ca44
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/4515

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/4516

Reviewed: https://reviews.mahara.org/4516
Committed: http://gitorious.org/mahara/mahara/commit/774976a4addc146bf2ed189ed14305ed8d92c1f2
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 774976a4addc146bf2ed189ed14305ed8d92c1f2
Author: Robert Lyon <email address hidden>
Date: Fri Mar 20 09:51:04 2015 +1300

Stopping a block from being 'eaten' when changing layout (Bug #1432635)

To test see bug report

Change-Id: I88069adce01c77a1009ac49bf61966524532ca44
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4515
Committed: http://gitorious.org/mahara/mahara/commit/5f005eced8d0b03d29eac899a3cf6510bd9eddab
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 5f005eced8d0b03d29eac899a3cf6510bd9eddab
Author: Robert Lyon <email address hidden>
Date: Fri Mar 20 09:51:04 2015 +1300

Stopping a block from being 'eaten' when changing layout (Bug #1432635)

To test see bug report

Change-Id: I88069adce01c77a1009ac49bf61966524532ca44
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4514
Committed: http://gitorious.org/mahara/mahara/commit/d56f1ff5d8f007187e083ae4ee073669d5e03d64
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit d56f1ff5d8f007187e083ae4ee073669d5e03d64
Author: Robert Lyon <email address hidden>
Date: Fri Mar 20 09:51:04 2015 +1300

Stopping a block from being 'eaten' when changing layout (Bug #1432635)

To test see bug report

Change-Id: I88069adce01c77a1009ac49bf61966524532ca44
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2015-03-29
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers